Creates a Colab runtime assignment.
When runtime creation is refused with a FAILED_PRECONDITION (code: 9) error, a more specific error reason will be returned in the details of the Operation error wrapped in google.rpc.ErrorInfo.
HTTP request
POST https://colaboratory.googleapis.com/v1beta/runtimes
The URL uses gRPC Transcoding syntax.
Query parameters
| Parameters | |
|---|---|
requestId |
Optional. A unique identifier for this request. This request is only idempotent if a If provided, the request ID must be in UUID4 format per https://linter.aip.dev/155/request-id-format. |
runtimeId |
Optional. A unique identifier for the runtime. If not supplied, a random ID will be generated. If a runtime with the given ID owned by the requesting user already exists, a completed The ID must conform to RFC-1034, specifically:
|
Request body
The request body contains an instance of Runtime.
Response body
If successful, the response body contains a newly created instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/colaboratory
For more information, see the OAuth 2.0 Overview.